--- title: "Update Proxy Server Configuration" slug: "update-proxy-server-configuration" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/update-proxy-server-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Proxy Server Configuration This URL updates the proxy server configuration. ## Resource URL PUT /domain//proxyserver ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | Payload parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | useDeviceListSettings | Inherit managers settings | Boolean | No | | useProxyserver | Use proxy server | Boolean | No | | proxyServerNameOrIPAddr | Proxy server IP/name | String | Yes | | proxyPort | Proxy port | Number | Yes | | userName | Username | String | No | | password | Password | String | No | ## Response Parameters Following fields are returned if the operation was successful, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful | Number | ## Example **Request** PUT [https:///sdkapi/domain//proxyserver](https://%3CNSM_IP%3E/sdkapi/domain/%3CdomainId%3E/proxyserver) **Payload** ``` {        "useDeviceListSettings": false,        "useProxyserver": false,        "proxyServerNameOrIPAddr": 1.1.1.1,        "proxyPort": 8443,        "userName": null,        "password": null    } ``` **Response** ``` { "status": 1           } ```   ## Error Information Following error codes are returned by this URL: | No | SDK API errorId | SDK API errorMessage | | --- | --- | --- | | 1 | 4714 | Listening port number should be between 1 and 65535 |